搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

此討論串已經關閉並封存。 如果您有需要幫助,請新增一個新問題

Can no longer use Firefox 45.9 with Mac OS10.8.5

  • 5 回覆
  • 1 有這個問題
  • 21 次檢視
  • 最近回覆由 sashat

more options

Too many functions have been lost. I have a more up to date laptop but I'm not going to update the OS on my main desktop computer because too many other software programs would need to be updated - such as video editing and Adobe programs - which work fine as they are. Sadly my browser in future will have to be Safari or Chrome, which work fine with the current OS.

所有回覆 (5)

more options

Current versions of Chrome and Safari do not support Mac OS10.8.5 either I'm afraid. The older versions of each of these browsers that are already on your computer will continue to work. The last version of Chrome to support Mac OS10.8.5 is actually 2 years older than the version of Firefox that you are using.

I would highly recommend updating your system for security reasons. Otherwise, I believe that Pale Moon has the most recent available builds for your OS. However, OSX builds are experimental.

more options

You would only have to update from 10.8 to 10.9 for now to be able to run current Firefox releases.

See also:

more options

cor-el said

You would only have to update from 10.8 to 10.9 for now to be able to run current Firefox releases. See also:

Thanks everyone for helpful advice - I know I'm dragging my feet on upgrades! Can anyone send a link where I would find a safe installer for Mavericks? Cheers,

more options

There is no safe installer for Mavericks. You'd have to go trawling through sketchy sites for that and even then there's no guarantee. Apple themselves have stopped serving this.

Seriously, upgrade. If your model is listed at http://dosdude1.com/mojave/#requirements you're good to go. Otherwise good luck.

more options

OK, I gave up on Mavericks. Decided to install Yosemite. Helpful page here: https://support.apple.com/en-us/HT210717 Downloaded the installer here: http://updates-http.cdn-apple.com/2019/cert/061-41343-20191023-02465f92-3ab5-4c92-bfe2-b725447a070d/InstallMacOSX.dmg

Long process of backing up etc., then the installer gave this message: "Installation of Yosemite using a download from the Apple App Store is not permitted at this stage." It seemed the correct procedure - why does Apple make it so hard?

As mentioned I want to continue to use Adobe CS6 apps and FCP 7, and Yosemite might be the last possible upgrade. Do I need to find an installer on a third party site?

Looking forward to your help. Cheers.